# config/services.yml
services:
    _defaults:
        autoconfigure: true

    _instanceof:
        Contao\CoreBundle\Framework\FrameworkAwareInterface:
            calls:
                - [setFramework, ['@contao.framework']]

    xiberia.listener.data_container.add_send_button:
        class: xiberiaTR\ContaoAmaltisBundle\EventListener\DataContainer\EditButtonsCallbackListener
        tags:
            - { name: contao.callback, table: tl_notifications, target: edit.buttons }

    xiberia.listener.data_container.send_notifs:
        class: xiberiaTR\ContaoAmaltisBundle\EventListener\DataContainer\ConfigOnSubmitCallbackListener
        tags:
            - { name: contao.callback, table: tl_notifications, target: config.onsubmit }

    xiberiaTR\ContaoAmaltisBundle\Controller\FrontendModule\MatiereListModule:
        arguments:
            - '@security.csrf.token_manager'
        tags:
            - { name: contao.frontend_module, type: matiere_list_module, category: miscellaneous }
